## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2021-08-23
##
## Pour une aide à l'installation, consulter le README
##
version: '3'

services:
  handbrake:
    image: jlesage/handbrake:latest
    container_name: edition-video_handbrake
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    networks:
     - edition-videos-network
    environment:
      - USER_ID=${PUID}
      - GROUP_ID=${PGID}
      - TZ=${TZ}
      - DISPLAY_WIDTH=${DISPLAY_WIDTH}
      - DISPLAY_HEIGHT=${DISPLAY_HEIGHT}
    ports:
      - "6800:5800"
    volumes:
      - "${RACINE}/handbrake/config:/config:rw"
      - "${RACINE}/handbrake/watch:/watch:rw"
      - "${RACINE}/handbrake/output:/output:rw"
      - "${STORAGE}:/storage:ro"
    restart: unless-stopped

  mediainfo: 
    image: jlesage/mediainfo:latest
    container_name: edition-video_mediainfo
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    networks:
     - edition-videos-network
    environment:
      - USER_ID=${PUID}
      - GROUP_ID=${PGID}
      - TZ=${TZ}
      - DISPLAY_WIDTH=${DISPLAY_WIDTH}
      - DISPLAY_HEIGHT=${DISPLAY_HEIGHT}
    ports:
      - 6801:5800
    volumes:
      - "${RACINE}/mediainfo/config:/config:rw"
      - "${STORAGE}:/storage:ro"
    restart: unless-stopped

  avidemux: 
    image: jlesage/avidemux:latest
    container_name: edition-video_avidemux
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    networks:
     - edition-videos-network
    environment:
      - USER_ID=${PUID}
      - GROUP_ID=${PGID}
      - TZ=${TZ}
      - DISPLAY_WIDTH=${DISPLAY_WIDTH}
      - DISPLAY_HEIGHT=${DISPLAY_HEIGHT}
    ports:
      - 6802:5800
    volumes:
      - "${RACINE}/avidemux/config:/config:rw"
      - "${STORAGE}:/storage:rw"
    restart: unless-stopped

  makemkv: 
    image: jlesage/makemkv:latest
    container_name: edition-video_makemkv
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    networks:
     - edition-videos-network
    environment:
      - USER_ID=${PUID}
      - GROUP_ID=${PGID}
      - TZ=${TZ}
      - DISPLAY_WIDTH=${DISPLAY_WIDTH}
      - DISPLAY_HEIGHT=${DISPLAY_HEIGHT}
    ports:
      - 6803:5800
    volumes:
      - "${RACINE}/makemkv/config:/config:rw"
      - "${RACINE}/makemkv/output:/output:rw"
      - "${STORAGE}:/storage:ro"
    restart: unless-stopped

  mkvtoolnix: 
    image: jlesage/mkvtoolnix:latest
    container_name: edition-video_mkvtoolnix
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    networks:
     - edition-videos-network
    environment:
      - USER_ID=${PUID}
      - GROUP_ID=${PGID}
      - TZ=${TZ}
      - DISPLAY_WIDTH=${DISPLAY_WIDTH}
      - DISPLAY_HEIGHT=${DISPLAY_HEIGHT}
    ports:
      - 6804:5800
    volumes:
      - "${RACINE}/makemkv/config:/config:rw"
      - "${STORAGE}:/storage:ro"
    restart: unless-stopped

networks:
  edition-videos-network:
    external:
      name: edition-videos-network
